curl -X POST https://api2.ecomailapp.cz/tracker/transaction \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction": {
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"tax": 200,
"shipping": 100,
"city": "Praha",
"timestamp": 1441905935,
"status": "completed"
},
"transaction_items": [
{
"code": "product code",
"title": "product name",
"categories": ["my category 1", "my category 2"],
"price": 1500,
"amount": 1,
"tags": ["M", "3+", "puzzle"]
}
]
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction' => [
'order_id' => 'transaction_1234',
'email' => 'foo@bar.cz',
'shop' => 'myshop.cz',
'amount' => 1500,
'tax' => 200,
'shipping' => 100,
'city' => 'Praha',
'timestamp' => 1441905935,
'status' => 'completed',
],
'transaction_items' => [
[
'code' => 'product code',
'title' => 'product name',
'categories' => ['my category 1', 'my category 2'],
'price' => 1500,
'amount' => 1,
'tags' => ['M', '3+', 'puzzle'],
],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"timestamp": "2015-09-10 17:25:35",
"id": 1,
"status": "completed"
}
{
"errors": {
"transaction.order_id": ["The transaction.order id has already been taken."]
}
}
Transactions
Create a transaction
Create a new transaction for a subscriber.
POST
/
tracker
/
transaction
curl -X POST https://api2.ecomailapp.cz/tracker/transaction \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction": {
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"tax": 200,
"shipping": 100,
"city": "Praha",
"timestamp": 1441905935,
"status": "completed"
},
"transaction_items": [
{
"code": "product code",
"title": "product name",
"categories": ["my category 1", "my category 2"],
"price": 1500,
"amount": 1,
"tags": ["M", "3+", "puzzle"]
}
]
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction' => [
'order_id' => 'transaction_1234',
'email' => 'foo@bar.cz',
'shop' => 'myshop.cz',
'amount' => 1500,
'tax' => 200,
'shipping' => 100,
'city' => 'Praha',
'timestamp' => 1441905935,
'status' => 'completed',
],
'transaction_items' => [
[
'code' => 'product code',
'title' => 'product name',
'categories' => ['my category 1', 'my category 2'],
'price' => 1500,
'amount' => 1,
'tags' => ['M', '3+', 'puzzle'],
],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"timestamp": "2015-09-10 17:25:35",
"id": 1,
"status": "completed"
}
{
"errors": {
"transaction.order_id": ["The transaction.order id has already been taken."]
}
}
Timestamps are saved and returned in UTC+0.
Transaction details.
Show transaction properties
Show transaction properties
Name of your shop, used in conditionals in the app. Case sensitive. An empty value results in not being able to select the shop in segments.
Array of transaction items.
Show transaction item properties
Show transaction item properties
curl -X POST https://api2.ecomailapp.cz/tracker/transaction \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction": {
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"tax": 200,
"shipping": 100,
"city": "Praha",
"timestamp": 1441905935,
"status": "completed"
},
"transaction_items": [
{
"code": "product code",
"title": "product name",
"categories": ["my category 1", "my category 2"],
"price": 1500,
"amount": 1,
"tags": ["M", "3+", "puzzle"]
}
]
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction' => [
'order_id' => 'transaction_1234',
'email' => 'foo@bar.cz',
'shop' => 'myshop.cz',
'amount' => 1500,
'tax' => 200,
'shipping' => 100,
'city' => 'Praha',
'timestamp' => 1441905935,
'status' => 'completed',
],
'transaction_items' => [
[
'code' => 'product code',
'title' => 'product name',
'categories' => ['my category 1', 'my category 2'],
'price' => 1500,
'amount' => 1,
'tags' => ['M', '3+', 'puzzle'],
],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"timestamp": "2015-09-10 17:25:35",
"id": 1,
"status": "completed"
}
{
"errors": {
"transaction.order_id": ["The transaction.order id has already been taken."]
}
}